cURL
curl --request GET \
--url https://api.frigade.com/v1/public/flowStates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.frigade.com/v1/public/flowStates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.frigade.com/v1/public/flowStates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eligibleFlows": [
{
"flowSlug": "flow_abc",
"flowName": "Onboarding Checklist",
"flowType": "ANNOUNCEMENT",
"data": {
"steps": [
{
"id": "step_abc",
"$state": {
"completed": true,
"skipped": true,
"started": true,
"visible": true,
"blocked": true,
"lastActionAt": "2024-09-01T00:00:00.000Z",
"flowResponses": [
{
"flowSlug": "flow_abc",
"actionType": "STARTED_STEP",
"stepId": "step-1",
"data": "{\"key\": \"value\"}",
"createdAt": "2024-01-01T00:00:00Z"
}
]
}
}
]
},
"$state": {
"currentStepId": "step_abc",
"currentStepIndex": 1,
"completed": true,
"started": true,
"skipped": true,
"visible": true,
"lastActionAt": "2024-09-01T00:00:00.000Z",
"flowResponses": [
{
"flowSlug": "flow_abc",
"actionType": "STARTED_STEP",
"stepId": "step-1",
"data": "{\"key\": \"value\"}",
"createdAt": "2024-01-01T00:00:00Z"
}
]
},
"version": 1
}
],
"ineligibleFlows": [
"<string>"
]
}Flows
Get User Flow State
Get the state of a User in all Flows
GET
/
v1
/
public
/
flowStates
cURL
Authorizations
Authentication header of the form Bearer: <token>, where <token> is either your public or private API key. See when to use which
Response
200 - application/json
The Flow state for the User was found
⌘I